#include <iostream>
#include "SceneGraphRoot.h"

using namespace std;

void
ball_move(SceneGraphPtr node, void *sgroot_, int w, int h)
{
    node->xyz[0] += 4;
}

void
ball_coll(SceneGraphPtr node, void *sgroot_, int w, int h, SceneGraphPtr tree)
{
    if (node->xyz[0] > 600) node->remove();
}
